org.eclipse.cdt.core.dom.ast

## Interface IArrayType

All Superinterfaces:
  java.lang.Cloneable, IType

All Known Subinterfaces:
  ICArrayType

    public interface IArrayType
    extends IType

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IASTExpression` `getArraySizeExpression()` Deprecated. Replaced by `getSize()`.
`IValue` `getSize()` Returns the value for the size of the array type, or `null` if it is unspecified.
`IType` `getType()` Returns the type that this is an array of.
`boolean` `hasSize()` Checks is the array type has specified size.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getType

    IType getType()

Returns the type that this is an array of.

#### getSize

    IValue getSize()

Returns the value for the size of the array type, or `null` if it is unspecified.

Since:
  5.2

#### hasSize

    boolean hasSize()

Checks is the array type has specified size.

Since:
  5.9

#### getArraySizeExpression

    @Deprecated
    IASTExpression getArraySizeExpression()
                                               throws DOMException

Deprecated. Replaced by `getSize()`.

Throws:
  `DOMException`